@import "../global/fontawesome.min.css";
@import "../global/conversation.css";

.login-password {
  max-width: none !important;
}

.hide {
  display: none;
}

.show { 
  display: block;
}

.error-message {
  font-style: normal;
  font-weight: 700;
  font-size: 12px;
  line-height: 12px;
  color: #C70000;
  margin-top: 8px;
}

form {
  max-width: 426px;
}

.form__field label {
  font-weight: 700;
  color: var(--black-color);
}
.form__field {
  margin: 0 0 21px 0;
}
.form__field div:first-child {
  margin: 0 0  13px 0;
}

input {
  border: 1px solid #777777;
  height: 48px;
  border-radius: 5px;
  padding-inline: 19px;
  box-sizing: border-box;
  max-width: 446px;
  width: 100%;
}

input:not(#email) {
  max-width: 201px;
  width: 100%;
}

.register-form__return-icon {
  margin: 0 0 2.5rem 0;
}

.register-form__return-icon a {
  color: var(--grey-color);;
  cursor: pointer;
}

.register-form {
  max-width: 460px;
  width: 100%;
  margin: auto;
}
.register-form__title {
  margin: 0 0 2rem 0;
}

@media only screen and (max-width: 428px) {
  input.login-password {
    max-width: none !important;
  }
  .form__field div:nth-child(2) {
    flex-wrap: wrap;
    width: 100%;
  }
  .form__field div:nth-child(2) input {
    max-width: unset !important;
    width: 100%;
  }
  .form__button {
    max-width: unset !important;
    width: 100%;
    float: unset;
    display: block;
  }

  .form__button button {
    width: 100%;
    max-width: 100%;
  }
}